//
//  ViewController.swift
//  cycView_demo
//
//  Created by zdp on 2016/9/30.
//  Copyright © 2016年 zdp. All rights reserved.
//

import UIKit
import SnapKit
import SDWebImage
class ViewController: UIViewController {
    var imageStrs = [String]()
    var cyc : CycleView?
    override func viewDidLoad() {
        super.viewDidLoad()
        self.automaticallyAdjustsScrollViewInsets = false
        setUI()
        
    }
    
    func setUI(){
        cyc = CycleView.showCycView(imageSourceBlock: { () -> [String] in
            return self.imageStrs //返回图片url，若要支持本地图片，自行修改
        }) { (tag) in
            print("tag:\(tag)")//图片点击回调
        }
        
        self.view.addSubview(cyc!)
        
        cyc?.rollingTime = 4
        cyc?.snp.makeConstraints { (make) in
            make.left.right.equalToSuperview().offset(0)
            make.top.equalToSuperview().offset(20)
            make.height.equalTo(230)
        }
        
        
        let btn = UIButton(type: UIButtonType.system)
        btn.setTitle("增加image", for: UIControlState.normal)
        self.view.addSubview(btn)
        btn.tag = 1
        
        btn.addTarget(self, action: #selector(btnAction(btn:)), for: UIControlEvents.touchUpInside)
        btn.snp.makeConstraints { (make) in
            make.center.equalToSuperview()
            make.width.equalTo(100)
            make.height.equalTo(30)
        }
        
        let btn2 = UIButton(type: UIButtonType.system)
        btn2.setTitle("减少image", for: UIControlState.normal)
        self.view.addSubview(btn2)
        btn2.tag = 2
        btn2.addTarget(self, action: #selector(btnAction(btn:)), for: UIControlEvents.touchUpInside)
        btn2.snp.makeConstraints { (make) in
            make.centerX.equalTo(btn.snp.centerX)
            make.centerY.equalTo(btn.snp.centerY).offset(100)
            make.width.equalTo(100)
            make.height.equalTo(30)
        }
    }
    
    var count = 0
    
    func btnAction(btn:UIButton){
        
        let str1 = "http://d.hiphotos.baidu.com/image/pic/item/f9dcd100baa1cd11c1c35727bb12c8fcc3ce2dbb.jpg"
        let str2 = "http://c.hiphotos.baidu.com/image/pic/item/6c224f4a20a4462323289f659a22720e0df3d7d2.jpg"
        let str3 = "http://d.hiphotos.baidu.com/image/pic/item/7dd98d1001e939014acbb73979ec54e737d196ef.jpg"
        let str4 = "http://i.zeze.com/attachment/forum/201502/09/122834pcd2q5l5dcnd4nqc.jpg"
        let str5 = "http://img0.imgtn.bdimg.com/it/u=2176846966,1717026392&fm=21&gp=0.jpg"
        let str6 = "http://b.hiphotos.baidu.com/zhidao/wh=450,600/sign=457d1fcc2c2eb938ec3872f6e052a903/21a4462309f7905289b85b130ff3d7ca7bcbd573.jpg"
        let str7 = "http://img2.imgtn.bdimg.com/it/u=2553369102,2423460114&fm=21&gp=0.jpg"
        let str8 = "http://img0.imgtn.bdimg.com/it/u=3230797900,10373402&fm=21&gp=0.jpg"
        let str9 = "http://img4.imgtn.bdimg.com/it/u=1432393253,809810063&fm=21&gp=0.jpg"
        
        let arr = [str1,str2,str3,str4,str5,str6,str7,str8,str9]
        
        if btn.tag == 1{
            if count >= arr.count{
                imageStrs.removeAll()
                count = 0;
            }
            imageStrs.append(arr[count])
            cyc?.reloadCyc()
            count += 1
        }else{
            if imageStrs.count != 0{
            imageStrs.removeLast()
            cyc?.reloadCyc()
            count -= 1
            }else{
                count = 0
            }
        }
    }
    
    
    
    
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        
    }
}

